MemoryUtils.h File Reference
`#include "ZenLib/Conf.h"`
`#include <cstring>`

Go to the source code of this file.

## Namespaces

namespace | ZenLib

## Macros

#define | malloc_Aligned128
#define | free_Aligned128
#define | memcpy_Unaligned_Unaligned memcpy
#define | memcpy_Aligned128_Unaligned memcpy
#define | memcpy_Unaligned_Aligned128 memcpy
#define | memcpy_Aligned128_Aligned128 memcpy
#define | memcpy_Unaligned_Unaligned_Once128 memcpy
#define | memcpy_Aligned128_Aligned128_Once128 memcpy
#define | memcpy_Unaligned_Unaligned_Once1024 memcpy
#define | memcpy_Aligned128_Aligned128_Once1024 memcpy
#define | memcpy_Unaligned_Aligned128_Size128 memcpy
#define | memcpy_Aligned128_Aligned128_Size128 memcpy

## Macro Definition Documentation

## free_Aligned128

#define free_Aligned128

Value:
(ptr) \
free (ptr)

## malloc_Aligned128

#define malloc_Aligned128

Value:
(size) \
malloc (size)

## memcpy_Aligned128_Aligned128

#define memcpy_Aligned128_Aligned128 memcpy

## memcpy_Aligned128_Aligned128_Once1024

#define memcpy_Aligned128_Aligned128_Once1024 memcpy

## memcpy_Aligned128_Aligned128_Once128

#define memcpy_Aligned128_Aligned128_Once128 memcpy

## memcpy_Aligned128_Aligned128_Size128

#define memcpy_Aligned128_Aligned128_Size128 memcpy

## memcpy_Aligned128_Unaligned

#define memcpy_Aligned128_Unaligned memcpy

## memcpy_Unaligned_Aligned128

#define memcpy_Unaligned_Aligned128 memcpy

## memcpy_Unaligned_Aligned128_Size128

#define memcpy_Unaligned_Aligned128_Size128 memcpy

## memcpy_Unaligned_Unaligned

#define memcpy_Unaligned_Unaligned memcpy

## memcpy_Unaligned_Unaligned_Once1024

#define memcpy_Unaligned_Unaligned_Once1024 memcpy

## memcpy_Unaligned_Unaligned_Once128

#define memcpy_Unaligned_Unaligned_Once128 memcpy